#include "customLineEdit.h"
#include <QMouseEvent>

CustomLineEdit::CustomLineEdit(QWidget* parent)
    : QLineEdit(parent)
{}

void CustomLineEdit::mouseDoubleClickEvent(QMouseEvent* event)
{
    if(event->button() == Qt::LeftButton)
        emit clicked();

    QLineEdit::mouseDoubleClickEvent(event);
}
